cURL
curl --request GET \
--url https://drb.coinbase.com/api/v2/public/get_index_price_names \
--header 'Content-Type: application/json' \
--data '
{
"id": 1,
"jsonrpc": "2.0",
"method": "public/get_index_price_names",
"params": {
"extended": true
}
}
'import requests
url = "https://drb.coinbase.com/api/v2/public/get_index_price_names"
payload = {
"id": 1,
"jsonrpc": "2.0",
"method": "public/get_index_price_names",
"params": { "extended": True }
}
headers = {"Content-Type": "application/json"}
response = requests.get(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
id: 1,
jsonrpc: '2.0',
method: 'public/get_index_price_names',
params: {extended: true}
})
};
fetch('https://drb.coinbase.com/api/v2/public/get_index_price_names', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 25718,
"jsonrpc": "2.0",
"result": [
"btc_eth",
"btc_usdc",
"eth_usdc"
]
}Market Data
public/get_index_price_names
Retrieves the identifiers (names) of all supported price indexes. Price indexes are reference prices used for mark price calculations, settlement, and other market operations.
When the extended parameter is set to true, the response includes additional information such as whether future combo creation and option combo creation are enabled for each index.
GET
/
public
/
get_index_price_names
cURL
Query Parameters
When set to true, returns additional information including future_combo_creation_enabled and option_combo_creation_enabled for each index
Example:
true
Was this page helpful?
⌘I